Available return appointment dates
POST /openapi/Return/GetAvailableReturnDates — TMS API · Return
Returns the days and daily capacity when the carrier can pick up within the specified date range for scheduled (pickup from address) returns. The identity is resolved from the token.
İstek gövdesi
city(string): Province of the pickup address.town(string): District of the pickup address.clientCode(string): Deprecated: identity is taken from the token.accountCode(string): Deprecated: identity is taken from the token.carrierCode(string, zorunlu): Return carrier code.locationCode(string): Location code where the return will be sent.queryEndDate(string<date-time>, zorunlu): End of query range.queryStartDate(string<date-time>, zorunlu): Start of query range.volumetricWeight(number): Return volume (desi).
Yanıtlar
- 200: Available dates
- 400: Validation error
- 401: Token missing/invalid or token does not contain account information
200 yanıt alanları
dates(object[]): Available days.dates.date(string<date-time>): Day.dates.returnedLimit(integer): Daily return pickup limit.dates.tmhReturnedCapacity(integer): Used/reserved capacity for that day.